- ansible.builtin.import_role:
    name: compose
    tasks_from: facts
  vars:
    service_defaults:
      name: spacedeck
      directory: "{{ docker_dir }}/spacedeck"
      domain: "spacedeck.example.org"
      subdirs: ["db", "storage"]
      port: 9666
      traefik: true
      external: true
      watchtower: true
      autoheal: true
      skip_network_definition: false

- ansible.builtin.import_role:
    name: compose
    tasks_from: create_directories

- ansible.builtin.import_role:
    name: compose
    tasks_from: deploy_docker
